solidworks >> Autocad's "Divide" command in solidworks?

by hendrikwitting » Thu, 03 Mar 2005 18:04:23 GMT

Hello,
i've got 2 questions

Is there a command in solidworks like the command "divide" i
autocad
This command divides a line in x equal part

second, i have a circular tube and i want to draw a line from 1 end o
the center of the tube to the other center of the tube without havin
to use reference planes. 3D sketch isn't possible because the cente
snap doesn't work in 3d sketc

Anyone has some ideas?

Many thanks in advanc

Hendri


solidworks >> Autocad's "Divide" command in solidworks?

by Wayne Tiffany » Thu, 03 Mar 2005 21:50:46 GMT


Divide - the only thing I can think of is a circular pattern where you tell
it 360?or so and then how many to equally space.

Axis - go up to the View menu and turn on the temp axes. I have that
command tied to my "t" key.

WT

solidworks >> Autocad's "Divide" command in solidworks?

by daniel » Thu, 03 Mar 2005 22:04:26 GMT

On 2005-03-03 11:04:23 +0100,
XXXX@XXXXX.COM (Hendrik) said:


I think you can place a specific number of points on curve, and then
use those to divide. off the top I cannot remember the exact command to
do that... but have a look in sketch tools.


What is your goal? what are you doing with the sketch? maybe there is
another way or better solution to what you are trying to do. Same goes
for the question in your first question.

Daniel

solidworks >> Autocad's "Divide" command in solidworks?

by Jeff N » Thu, 03 Mar 2005 22:08:45 GMT

No, but you can get the result you want by doing the following:

Draw a line.
Use the split entities command to split the line into the desired number of
segments.
Select all line segments.
Add an equal relation.


Why do you need a line down the center of the tube end to end?
Turn on Temporary Axes.
Start a 3D sketch and sketch a line.
Select the line and the temporary axis in the center of the tube.
Add a collinear relation.

Another way:
Start a 3D sketch and sketch a line.
Select one endpoint of your line.
Select a circular edge at the end of your tube.
Add a concentric relation.
Do the same for the other endpoint and other end of the tube.

In either case if you want to constrain the endpoints of the line to the
ends of the tube you can select the endpoint, then select the face or outer
circular edge of the end of the tube and add a coincident relation.

solidworks >> Autocad's "Divide" command in solidworks?

by Devon T. Sowell » Fri, 04 Mar 2005 18:56:27 GMT

ere is a macro:

'-----------------------------------------
' How to split a sketch segment into a number of equal portions
'
' Preconditions:
' 1) a part, assy or drawing is open
'
' 2) a sketch is being edited
'
' 3) a sketch segment is selected
'
' Postconditions:
' 1) sketch segment is divided into equal sections
'
' Notes:
' 1) current code calculates division points based on
' curve parameterisation NOT length. This will
' give unequal lengths for:
' splines
' parabolas
' ellipses
'
' Further Work:
' 1) support equal length division of:
' splines
' parabolas
' ellipses
'
' 2) could probably use initial display tessellation of
' pre-selected sketch segment to calculate points for
' sketch segment division

Option Explicit

Public Enum swSketchSegments_e
swSketchLINE = 0
swSketchARC = 1
swSketchELLIPSE = 2
swSketchSPLINE = 3
swSketchTEXT = 4
swSketchPARABOLA = 5
End Enum

Sub main()
Dim swApp As SldWorks.SldWorks
Dim swModel As SldWorks.ModelDoc2
Dim swSelMgr As SldWorks.SelectionMgr
Dim swSkSeg As SldWorks.SketchSegment
Dim swSkLine As SldWorks.SketchLine
Dim swSkArc As SldWorks.SketchArc
Dim swSkEllipse As SldWorks.SketchEllipse
Dim swSkSpline As SldWorks.SketchSpline
Dim swSkParabola As SldWorks.SketchParabola
Dim swCurve As SldWorks.Curve
Dim swStartPt As SldWorks.SketchPoint
Dim swEndPt As SldWorks.SketchPoint
Dim vSplinePt As Variant
Dim vStartPt As Variant
Dim vEndPt As Variant
Dim vSplitPt() As Variant
Dim nStart As Double
Dim nEnd As Double
Dim nStartDummy As Double
Dim nEndDummy As Double
Dim bIsClosed As Boolean
Dim bIsPeriodic As Boolean

Dim sNumSeg As String
Dim nNumSeg As Long

Dim i As Long
Dim bRet As Boolean

Set swApp = CreateObject("SldWorks.Application")
Set swModel = swApp.ActiveDoc
Set swSelMgr = swModel.SelectionManager
Set swSkSeg = swSelMgr.GetSelectedObject3(1)
Set swCurve = swSkSeg.GetCurve

sNumSeg = InputBox("Enter number of divisions")
nNumSeg = Val(sNumSeg)

ReDim vSplitPt(nNumSeg)

Select Case swSkSeg.GetType
Case swSketchLINE
Debug.Print "swSketchLINE"
Set swSkLine = swSkSeg
Set swStartPt = swSkLine.GetStartPoint2
Set swEndPt = swSkLine.GetEndPoint2

Case swSketchARC
Debug.Print "swSketchARC"
Set swSkArc = swSkSeg
Set swStartPt = swSkArc.GetStartPoint2
Set swEndPt = swSkArc.GetEndPoint2

Case swSketchELLIPSE
Debug.Print "swSketchELLIPSE"
Set swSkEllipse = swSkSeg
Set swStartPt = swSkEllipse.GetStartPoint2
Set swEndPt

Similar Threads

1. Pause the Running Command ----- other Commands ----- Resume the previous stoped Command

On Jun 12, 6:01m, bsrin < XXXX@XXXXX.COM > wrote:
> Hi Everyone,
> I have a doubt, Can I "pause" the Running Command >fter
> 'x' seconds ,Run the other Commands and esume the Previous(p>use)
> com>and.
> s it possible, if it is possible, give me >n example .
> Thank> in Advance
> Cheers.

No. This is not possible if you refer to SKILL API procedures. You may
however run different SKILL procedures in different framework sessions
(manually or through IPC). Your request is very vague. Be more
specific.

2. Pause the Running Command ----- other Commands ----- Resume the previous stoped Command

3. Group command - LT vs AutoCAD

In AutoCAD, the Group command has always seemed like a comand that could 
potentialy be very useful, but is let down by an awkward user interface 
IMHO.

Anyway, some time ago (about 2000) a friend who used LT pointed out to 
me that the user interface for the group command was completely 
different in LT - in many ways it was the kind of way that I had always 
wanted the group command to work in AutoCAD.
At the time I queried this, & people were of the opinion that 
modifications might be tested or introduced in LT, but then would 
generaly be added to the next version of AutoCAD.
I forgot about this for a while, but was reminded again last week when 
sitting next to someone using LT.
The command still works the same in the latest LT as it always has done 
in LT & it is simple to create & manipulate unnamed groups. In AutoCAD 
2004 though it is still the awkward interface that it always has had in 
the full version of AutoCAD.

Why?

I thought that the point of LT was that it was AutoCAD with some of the 
features removed - but in this instance, it is instead a feature that 
just works differently between the programs.

Is there any easy way to get it to work in 2004 like it does in LT?

-- 
Matthew Taylor
www.mtaylor.co.uk

4. List of one letter autocad commands?

5. AutoCAD Break Command

Hi,

I am pretty new to AutoCAD and just love the command line feature. I try
to avoid the mouse and menus as much as possible.

There are two type of break commands in AutoCAD; one which removes a
portion of the line/pline/arc, and Break at Point which breaks the
object to two pieces, without removing geometry. Typing "break" in the
command line brings up the tool to remove a portion. What is the command
for the Break at Point?

Thanks,

Tom.

6. AutoCAD menus -commands Microstation?

7. an alternative method to do divided clocks

Hi,

the other day a colleague came over and suggested the following:

"To reduce design complexity and risk it is necessary to
remove all divided clock systems. There is an alternative method to do
divided
clocks. (Generate clock enable signals) The risk and the efforts for
this change are small. (Important structural change, no functional
change)"

what are the pros and contras of this method? I hear something like
this for the first time. He said also that more than one clock domain
is not good for scan. From my experience: I inserted last year scan
for a chip with
more than 10 clock domains. It was no problem. I'm also sure that with
this
enable signal we will have additional timing trouble, it has to be
buffered
like a clock signal etc. 

I just wanted to ask people here if anyone had an experience with this
alternative method and if its worth to change the clocking scheme
(just for scan) ?

Many Thanks

Metin

8. divide by zero